import { defineConfig } from 'vite'
import react from '@vitejs/plugin-react'

// https://vite.dev/config/
export default defineConfig({
  plugins: [react()],
  css: {
    // Enable CSS modules for all CSS files
    modules: {
      localsConvention: 'camelCase',
    },
    // Ensure postcss processes CSS correctly
    postcss: './postcss.config.js',
  },
  // Ensure assets are properly served
  build: {
    assetsDir: 'assets',
    cssCodeSplit: true,
    sourcemap: true,
  },
})
