const axios = require('axios');

async function testLogin() {
  try {
    console.log('Testing login with superadmin credentials...');
    const response = await axios.post('http://localhost:8080/api/auth/login', {
      email: 'admin@ininventer.com',
      password: 'admin123'
    });
    
    console.log('Login successful!');
    console.log('Response status:', response.status);
    console.log('User data:', response.data.user);
    console.log('Token received:', response.data.token ? 'Yes' : 'No');
    
    return response.data;
  } catch (error) {
    console.error('Login failed!');
    console.error('Error status:', error.response?.status);
    console.error('Error message:', error.response?.data);
    console.error('Full error:', error.message);
    
    return null;
  }
}

testLogin();
