#!/bin/bash

# Script to package and transfer InInventer to Linode server
SERVER_IP="172.104.242.160"
SERVER_USER="root"
REMOTE_DIR="/opt/ininventer"

echo "Packaging InInventer project..."
# Create a temporary directory for packaging
mkdir -p /tmp/ininventer-deploy

# Copy project files, excluding node_modules, .git, etc.
rsync -av --exclude 'node_modules' --exclude '.git' --exclude 'dist' \
  --exclude '.env.local' --exclude '.env.development' \
  /home/m3mo/IdeaProjects/ininventer/ /tmp/ininventer-deploy/

echo "Transferring files to $SERVER_IP..."
# Create the remote directory if it doesn't exist
ssh $SERVER_USER@$SERVER_IP "mkdir -p $REMOTE_DIR"

# Transfer files to the server
rsync -avz --progress /tmp/ininventer-deploy/ $SERVER_USER@$SERVER_IP:$REMOTE_DIR/

# Make scripts executable on the remote server
ssh $SERVER_USER@$SERVER_IP "chmod +x $REMOTE_DIR/deploy.sh $REMOTE_DIR/start-production.sh"

echo "Transfer complete!"
echo "Next steps:"
echo "1. SSH into your server: ssh $SERVER_USER@$SERVER_IP"
echo "2. Run the deployment script: cd $REMOTE_DIR && ./deploy.sh"

# Clean up
rm -rf /tmp/ininventer-deploy
